def print_stixi():
    import re
    for a in range(1, 102):
        f1 = open('text121.txt', encoding='utf-8', mode='r')#открыть фаил для чтения на русском
        f1.seek(0)#перейти к началу
        i=0
        str1=""
        stixi = []
        #a=random.randint(1, 101)#можно добавить for от 1 до 101, тогда получится добавить в таблицу SQL
        while str1 != f"стих {a}\n":
            str1=f1.readline()
        name=f1.readline()
        re.sub('\n', '', name)
        while str1 != f"стих {a+1}\n":
            str1=f1.readline()
            if(str1 != f"стих {a+1}\n"):
                stixi.append(re.sub('\n', '', str1))#удаление /n и заключение в список

        f1.close()
        print(name)#сначала заполни таблицу названий, потом поменяй # местами у этой и нижней строчки
        #print(stixi)#добавить добавление в список

print_stixi()